function x = convolT(y, h)
%
% Calcul du produit de la transpose de la matrice de convolution
% construite  partir de h par le signal y
%
%    Copyright (C) 2012-2014  Yves Goussard
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Pour la matrice de convolution H, on fait l'hypothse que x et y ont le
% mme support, et que les lments situs hors du support de x sont nuls
%

P = length(h);
x = filter(flipud(h(:)), [1], [y(:); zeros(P-1, 1)]);
x = reshape(x(P:end), size(y));

return
